/***********************************************************
 *                                                         *
 *  time.h                                                 *
 *  Autor: Pier Paolo Guillen Hernadez                     *
 *         Aguascalientes, Ags.                            *
 *  Fecha: Marzo 2004 - Abril 2008                         *
 *                                                         *
 *  Objetivo: Headers para las funciones de tiempo.        *
 *                                                         *
 ***********************************************************/

#ifndef TIME_H
#define TIME_H

// Definimos funciones
void increase_clock(void);                  // Incrementa las variable de tiempo
void clear_clock(void);                     // Reinicia el reloj
void clear_count(void);                     // Reinicia el contador
void clear_fade_count(void);                // Reinicia el contador
void pause_count(void);                     // Detiene el contador
void unpause_count(void);                   // Reanuda el contador
void timer_init(void);                      // Inicializa funciones y variables
void wait_clock(int, int);                  // Espera a que pase el tiempo desde que se inicio el reloj
void wait_clock_or_key(int, int);           // Espera a que pase el tiempo desde que se inicio el reloj o a que presionen una tecla 
int return_clock(void);                     // Regresa cuanto tiempo paso desde que se inicio el reloj
int return_count(void);                     // Regresa cuanto tiempo paso desde que se inicio la cuenta
int return_fade_count(void);                // Regresa cuanto tiempo paso desde que se inicio la cuenta
void timer_exit(void);                      // Cierra libreria

#endif
